Requirements

In order to successfully run KStars, you need KDE >=4.0 and Qt™>=4.3.

To compile KStars, you will also have to have the following packages installed:

  • kdelibs-devel

  • qt-devel

  • zlib-devel

  • fam-devel

  • png-devel

  • jpeg-devel

  • cmake

On my system, KStars uses about 60 MB of system memory with the default settings. Most of this usage is due to the loaded object databases. You can dramatically reduce the memory footprint by reducing the faint limit for stars in the Configuration Window, or eliminating catalogs of objects (NGC, IC, comets, asteroids, etc.). If KStars is idling, it uses very little CPU; but it will use as much as you have got when panning or zooming.